#!/gnuplot
# Confirmed with gnuplot 5.4-p0, 5.2-p8 and 4.6-p7 (Build System: MS-Windows 64 bit)
reset
set encoding utf8
set grid
set border -1 back
set view 34, 34, 1, 1
set xyplane relative 0
set xtics 1 add ("-1/e" -1/exp(1))
set ytics 1
set ztics 1
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit 
set cbtics   ("-π" -3.14159, "π" 3.14159)
set title "LambertW({/Times:Italic x} + i{/Times:Italic y})" 
set xlabel "real" rotate parallel
set xrange [ -2.0: 2.0] noreverse writeback
set ylabel "Imaginary" rotate parallel
set yrange [ -2.0: 2.0] noreverse writeback
set zlabel "Magnitude" offset 3 rotate
set zrange [ -0.5: 2.0] noreverse writeback
set cblabel "Phase angle" offset character -2 rotate
set cbrange [ -3.14159 : 3.14159 ]
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model HSV 
set palette defined ( 0 0 1 1, 1 1 1 1 )
set colorbox default
set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
### plot to gif file
set terminal png size 1920,1440 interlace transparent truecolor enhanced font verdana 36
set output "lambertw.png"
### alternative plot 
#set border 0x37f front
#set grid front
#set view 60, 120, 1, 1
#set ytics 0.5 offset -0.8,-0.4
#set ztics 1 add("1/e" 1/exp(1), 1.4)
#set xrange [ -1.0: 1.0] noreverse writeback
#set yrange [ -1.0: 1.0] noreverse writeback
#set zrange [ 0.0: 1.4] noreverse writeback
#set ylabel "Imaginary" rotate parallel offset character -1.6,-0.8
#set palette defined ( 0 0.5 1 1, 0.5 1 1 1, 0.5 0 1 1, 1 0.5 1 1)
#set terminal png size 1920,1440 interlace transparent truecolor enhanced font verdana 36
#set output "lambertw3d.png"
###
splot "lambertw3d-polar.txt" with pm3d t ""
set output
set terminal wxt
rep
#    EOF
